Skip to main content
`Ctrl`+`K`

# EPSReallocateSolution

Reallocate memory storage for common variables such as the eigenvalues and the basis vectors.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSReallocateSolution(EPS eps,PetscInt newsize)

Collective

## Input Parameters

- eps - the linear eigensolver context

- newsize - new size

## Developer Notes

This is `SLEPC_EXTERN` because it may be required by user plugin `EPS` implementations.

This is called during the iteration in case the threshold stopping test has been selected.

## See Also

EPS: Eigenvalue Problem Solver, `EPSAllocateSolution()`, `EPSSetThreshold()`

## Level

developer

## Location

src/eps/interface/epssetup.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages